summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2005-07-15 12:54:55 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 13:23:09 -0500
commita92b3d070fa3a11276ea1b755fe364e5f8988cb9 (patch)
tree110149aada87c4fdc3be83182bbe556c11041e62
parent060113de980c7cc6fe5729e1adce56052aaa2508 (diff)
downloadsamba-a92b3d070fa3a11276ea1b755fe364e5f8988cb9.tar.gz
samba-a92b3d070fa3a11276ea1b755fe364e5f8988cb9.tar.bz2
samba-a92b3d070fa3a11276ea1b755fe364e5f8988cb9.zip
r8496: speed up the test_echo.sh test a lot, while still providing good coverage
(This used to be commit 037feb7538f162d99f220b46c29a3c1538b69d16)
-rwxr-xr-xsource4/script/tests/test_echo.sh15
1 files changed, 10 insertions, 5 deletions
diff --git a/source4/script/tests/test_echo.sh b/source4/script/tests/test_echo.sh
index 3b6c2d286d..e90b3b5be9 100755
--- a/source4/script/tests/test_echo.sh
+++ b/source4/script/tests/test_echo.sh
@@ -25,7 +25,16 @@ failed=0
for transport in $transports; do
for bindoptions in connect sign seal sign,seal validate padcheck bigendian bigendian,seal; do
for ntlmoptions in \
- "--option=socket:testnonblock=True --option=torture:echo_TestSleep=no" \
+ "--option=socket:testnonblock=True --option=torture:echo_TestSleep=no"; do
+ name="RPC-ECHO on $transport with $bindoptions and $ntlmoptions"
+ testit "$name" bin/smbtorture $TORTURE_OPTIONS $transport:"$server[$bindoptions]" $ntlmoptions -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1`
+ done
+ done
+done
+
+for transport in $transports; do
+ for bindoptions in sign seal; do
+ for ntlmoptions in \
"--option=ntlmssp_client:ntlm2=yes --option=torture:echo_TestSleep=no" \
"--option=ntlmssp_client:ntlm2=no --option=torture:echo_TestSleep=no" \
"--option=ntlmssp_client:ntlm2=yes --option=ntlmssp_client:128bit=no --option=torture:echo_TestSleep=no" \
@@ -42,8 +51,4 @@ for transport in $transports; do
done
done
-# separately test the print option - its v slow
-name="RPC-ECHO with print option"
-testit "$name" bin/smbtorture $TORTURE_OPTIONS ncacn_np:"$server[print]" -U"$username"%"$password" -W $domain RPC-ECHO "$*" || failed=`expr $failed + 1`
-
testok $0 $failed